package com.usoftchina.bi.server.model.vo.configVo;


import com.usoftchina.bi.server.model.bo.Column;
import com.usoftchina.bi.server.model.bo.Screen;

import java.util.List;

public class PieConfigInfo {
    private int id;
    private Column legendData;
    private Column series;
    private List<Screen> filters;
    /**
     * 需要展示的条数
     */
    private int maxCount = 20;

    public int getMaxCount() {
        return maxCount;
    }

    public void setMaxCount(int maxCount) {
        this.maxCount = maxCount;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Column getLegendData() {
        return legendData;
    }

    public void setLegendData(Column legendData) {
        this.legendData = legendData;
    }

    public Column getSeries() {
        return series;
    }

    public void setSeries(Column series) {
        this.series = series;
    }

    public List<Screen> getFilters() {
        return filters;
    }

    public void setFilters(List<Screen> filters) {
        this.filters = filters;
    }

    @Override
    public String toString() {
        return "PieConfigInfo{" +
                "id=" + id +
                ", legendData=" + legendData +
                ", series=" + series +
                '}';
    }
}
